stam.graph.plot {stam} | R Documentation

## Draw StAM Model Fit Graph

### Description

This function uses graphviz to layout a graph plot of a model fit. In addition a client side clickable map is returned to added to an HTML page.

### Usage

    stam.graph.plot(x, outfile = "", pointsize = 10,
                    width = 9, height = 6)

### Arguments

`x` | the stamFit object holding the model to be drawn
`outfile` | name of output file without extension.
`pointsize` | the standard font size
`width` | width of plot in inches
`height` | height of plot in inches

### Details

This function generates a file in the dot language for graphviz. It uses the dot program to produce the layout of the graph and png as well as postscript files of this layout. Moreover, a client-side clickable map is generated which can be included in an HTML page.

### Value

A character string containing HTNL code for a clickable map.

### Note

This function only works on unix systems with graphviz installed.

### Author(s)

Claudio Lottaz

### References

Gansner ER, North SC. "An open graph visualization system and its applications to software engineering". Software Practice and Experience, 1999, pp. 1–5.

### See Also

`stam.fit`

[Package stam version 1.10.0 Index]